//Island shaders: some are taken from public internet discussion/exchange and from UT4 scripts 
//files then adapted. For all the UT shaders original names have been preserved but shaders and
//pictures names have been prefixe with ut4_island_bXXX name to make island map independant as
//much as possible from futur deletes/modifications in UT4 main package.
//All the original makers of the shaders/images when known have been written in the readme.txt.

//***************
//***************
//mines
//***************
//***************

//well this one is from shader lab but i have modied the tecture tgs to fit my needs
//i remove the sun effects in the 2nd tga and add a transparency in the 1st one
//then i modified the 1st layer intrustion blendfunc to see my original sky thrue the cloud
textures/sg_island_b3/sgsky
{ 
	skyparms env/sg_island_b3/sgskybox4/sgsky4 2048 -

	q3map_lightImage textures/shaderlab_terrain/sky_clouds3.tga

	q3map_lightRGB 0.923568 0.959106 1.000000

	q3map_sunExt 0.923568 0.959106 1.000000 1200 120 35 .5 32
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 6

	surfaceparm sky 
	surfaceparm noimpact
	surfaceparm nodlight
	surfaceparm nolightmap

	nopicmip
	nomipmaps

	//q3map_nolightmap

	qer_editorimage textures/sg_island_b3/sgsky1.tga 
	{
		map textures/sg_island_b3/sky_clouds3.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/sg_island_b3/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

//For sky in water in island map
//crap must be redone by something else
textures/sg_island_b3/sg_watersky
{
	qer_editorimage textures/sg_island_b3/null_beach/sand_3.tga
	{
		map textures/sg_island_b3/null_beach/sand_3.tga
	}
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
}

//For rotating stuff that do not need a light/shadow calculate
textures/sg_island_b3/foiledagainnl
{	
	qer_editorimage textures/sg_island_b3/foiledagain.jpg
	surfaceparm nolightmap
	surfaceparm detail
	{
		map textures/sg_island_b3/foiledagain.jpg
	}
}

textures/sg_island_b3/shwhite
{	
	qer_editorimage textures/sg_island_b3/white.jpg
	surfaceparm nolightmap
	surfaceparm detail
	{
		map $lightmap
		rgbGen const ( 1 1 1 )
	}
}

//For stuff over rotating jumppad the nonsolid texture
textures/sg_island_b3/voile
{
	qer_editorimage textures/sg_island_b3/effects/sand.tga
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none 
	nopicmip
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/effects/sand.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0.0 -0.4
	}
}

//1st tga found here http://files.filefront.com/Lava+Plasma+Lava+Red+Lava+Blue/;943;/fileinfo.html
// and modified to make it raccordable. The other one is mine
textures/sg_island_b3/shlava2b
{
	qer_editorimage textures/sg_island_b3/lava2.tga 
	surfaceparm noimpact
	surfaceparm lava	
	surfaceparm nolightmap
	q3map_surfacelight 3000
	tessSize 256
	cull disable
	deformVertexes wave 50 sin 5 5 .5 .25
	{
                map textures/sg_island_b3/lava2.tga
                tcmod scale 1 1
                tcMod turb 0 .1 0 .1
                rgbGen identity
     	}
	{
		map textures/sg_island_b3/lava1.tga
                tcmod scale 1 1
                tcMod turb 0 .1 0 .1
		tcmod scroll 0.1 0
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

textures/sg_island_b3/shbigjumpr
{
	qer_editorimage textures/sg_island_b3/bouncepadr.tga
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/bouncepadr.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
		tcmod rotate -180
	}
}

textures/sg_island_b3/shbigjumpb
{
	qer_editorimage textures/sg_island_b3/bouncepadb.tga
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/bouncepadb.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
		tcmod rotate -180
	}
}

//label: in mappers we trust
textures/sg_island_b3/shinmapperswetrust
{
	qer_editorimage textures/sg_island_b3/inmapperswetrust.tga
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/inmapperswetrust.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//fast push
textures/sg_island_b3/shfastpush
{
	qer_editorimage textures/sg_island_b3/crossing/metal_white_arrow
	{
		map textures/sg_island_b3/crossing/metal_white_arrow
		tcmod scroll 0.0 10
		depthWrite
		rgbGen identity
	}
}

//label: WilyDuck was here
textures/sg_island_b3/shWilyDuckWasHere
{
	qer_editorimage textures/sg_island_b3/WilyDuckWasHere.tga
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/WilyDuckWasHere.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//label: Thanks to FSK405 Fokker and Zoran
textures/sg_island_b3/shthanksto
{
	qer_editorimage textures/sg_island_b3/thanksto.tga
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/thanksto.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//label: Label Fokker gave me from fsk405
textures/sg_island_b3/shfsk405a
{
	qer_editorimage textures/sg_island_b3/logooval.tga
	surfaceparm nonsolid
	{
		map textures/sg_island_b3/logooval.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//mirror
textures/sg_island_b3/mirror
{
	qer_editorimage textures/sg_island_b3/mirror.tga
	surfaceparm nolightmap
	surfaceparm nodlight
	portal
	{
		map textures/sg_island_b3/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}      
}

textures/sg_island_b3/shplayerclip
{
	qer_editorimage textures/sg_island_b3/GoldBricks.jpg
	qer_trans 0.20
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/sg_island_b3/InvLadder
{
	qer_editorimage textures/sg_island_b3/GoldBricks.jpg
	qer_trans 0.20
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm nodraw
	surfaceparm ladder
}

textures/sg_island_b3/isfogunder
{
        qer_editorimage textures/sg_island_b3/GoldBricks.jpg
	qer_trans 0.20
	surfaceparm	fog
	surfaceparm	trans
        surfaceparm     nodraw
	surfaceparm	nonsolid
	surfaceparm	detail
	fogparms ( .9 .9 .95 ) 1024
}

textures/sg_island_b3/shfoglava
{
        qer_editorimage textures/sg_island_b3/lava1.tga
	qer_trans 0.20
	surfaceparm	fog
	surfaceparm	trans
        surfaceparm 	nodraw
	surfaceparm	nonsolid
	surfaceparm	detail
	fogparms ( .78 .3 .007 ) 1024
}

textures/sg_island_b3/shfoglava2
{
        qer_editorimage textures/sg_island_b3/lava1.tga
	qer_trans 0.20
	surfaceparm	fog
	surfaceparm	trans
        surfaceparm 	nodraw
	surfaceparm	nonsolid
	surfaceparm	detail
	fogparms ( .78 .3 .007 ) 128
}

textures/sg_island_b3/isfogwater
{
          qer_editorimage textures/sg_island_b3/GoldBricks.jpg
	  qer_trans 0.20
          surfaceparm nodraw
	  surfaceparm trans
          surfaceparm nonsolid
          surfaceparm fog
          fogparms ( .56 .66 .96 ) 2000
}

textures/sg_island_b3/isfogwater2
{
          qer_editorimage textures/sg_island_b3/GoldBricks.jpg
	  qer_trans 0.20
          surfaceparm nodraw
	  surfaceparm trans
          surfaceparm nonsolid
          surfaceparm fog
          fogparms ( .56 .66 .96 ) 2000
	  deformVertexes wave 40 sin 8 12 .1 .1
}

textures/sg_island_b3/isfogwatersky
{
	qer_editorimage textures/sg_island_b3/GoldBricks.jpg
	qer_trans 0.20
	surfaceparm	fog
	surfaceparm	trans
	surfaceparm     nodraw
	surfaceparm	nonsolid
	fogparms ( .56 .66 .96 ) 1
}

textures/sg_island_b3/shslime1
   {
      qer_editorimage textures/sg_island_b3/liquids/slime1.tga
      q3map_lightimage textures/sg_island_b3/liquids/slime1.tga
      q3map_globaltexture
      qer_trans .5

      surfaceparm noimpact
      surfaceparm slime
      surfaceparm nolightmap
      surfaceparm trans      

      q3map_surfacelight 100
      tessSize 32
      cull disable

      {
         map textures/sg_island_b3/liquids/slime1.tga
      }
} 

textures/sg_island_b3/sgmsgboard
{
	qer_editorimage textures/sg_island_b3/mesg1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	{
		animMap 0.2 textures/sg_island_b3/mesg1.tga textures/sg_island_b3/mesg1.tga textures/sg_island_b3/mesg1.tga textures/sg_island_b3/mesg2.tga textures/sg_island_b3/mesg2.tga textures/sg_island_b3/mesg2.tga textures/sg_island_b3/mesg3.tga textures/sg_island_b3/mesg3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sg_island_b3/sglighthousebeam
{
	qer_editorimage textures/sg_island_b3/lighthousebeam.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	{
		animMap 8 textures/sg_island_b3/lighthousebeam.tga textures/sg_island_b3/lighthousebeam2.tga textures/sg_island_b3/lighthousebeam.tga textures/sg_island_b3/lighthousebeam.tga textures/sg_island_b3/lighthousebeam.tga textures/sg_island_b3/lighthousebeam.tga textures/sg_island_b3/lighthousebeam2.tga textures/sg_island_b3/lighthousebeam2.tga
		tcMod scale 1 1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//***************
//terrain
//Great thanks to Keres: he gave to me the initial phong shaders, i modified now but without him
//it won't exist today.

textures/sg_island_b3/terrain_rock1
{
	qer_editorimage textures/sg_island_b3/rc_rock3_lichen512.jpg
	q3map_lightmapMergable
	q3map_shadeangle 90
	q3map_nonplanar
	q3map_lightmapaxis z
	//q3map_texturesize 1024 1024 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/rc_rock3_lichen512.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_rock2
{
	qer_editorimage textures/sg_island_b3/bbqmines/stone57.jpg
	q3map_lightmapMergable
	q3map_shadeangle 90
	q3map_nonplanar
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024 
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/bbqmines/stone57.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_sand1
{
	qer_editorimage textures/sg_island_b3/sand512.jpg
	surfaceparm dust
	q3map_lightmapMergable
	q3map_shadeangle 90
	q3map_nonplanar
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/sand512.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_sand2
{
	qer_editorimage textures/sg_island_b3/sandwet.jpg
	surfaceparm dust
	q3map_lightmapMergable
	q3map_shadeangle 90
	q3map_nonplanar
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/sg_island_b3/sandwet.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_sand3
{
	qer_editorimage textures/sg_island_b3/terrain512allsand512_5.jpg
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/terrain512allsand512_5.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc   GL_DST_COLOR   GL_SRC_COLOR
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_sand4
{
	qer_editorimage textures/sg_island_b3/null_beach/sand015.jpg
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/sg_island_b3/null_beach/sand015.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_sand5
{
	qer_editorimage textures/sg_island_b3/null_beach/sand_3.tga
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/sg_island_b3/null_beach/sand_3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_dirt1
{
	qer_editorimage textures/sg_island_b3/evil_1/bdirt2.jpg
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/sg_island_b3/evil_1/bdirt2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_terrain512tosand512
{
	qer_editorimage textures/sg_island_b3/terrain512allsand512_6.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/terrain512allsand512_6.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_terrain512tosand512_9
{
	qer_editorimage textures/sg_island_b3/terrain512allsand512_9.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/terrain512allsand512_9.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_terrain512tosand512_3
{
	qer_editorimage textures/sg_island_b3/terrain512allsand512_3.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/terrain512allsand512_3.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_terrain512tosand512_4
{
	qer_editorimage textures/sg_island_b3/terrain512allsand512_4.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/terrain512allsand512_4.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}


textures/sg_island_b3/terrain_sand512toterrain512_1
{
	qer_editorimage textures/sg_island_b3/sand512allterrain512_1.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/terrain512allsand512_1.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/sg_island_b3/terrain_rocklichen512terrain512
{
	qer_editorimage textures/sg_island_b3/rocklichen512terrain512.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/sg_island_b3/rocklichen512terrain512.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}


textures/sg_island_b3/sh_smoke1
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 100
	qer_editorimage textures/sg_island_b3/sm1.tga
	{
		animMap 10 textures/sg_island_b3/sm1.tga textures/sg_island_b3/sm2.tga textures/sg_island_b3/sm3.tga textures/sg_island_b3/sm4.tga textures/sg_island_b3/sm5.tga textures/sg_island_b3/sm6.tga textures/sg_island_b3/sm7.tga textures/sg_island_b3/sm8.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}		
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

//FUR texctures: from a french guy about making fur texture usable for grass "real" looking
//i work hard on this one to understand
textures/sg_island_b3/grass_base
{
	q3map_cloneshader textures/sg_island_b3/grass_fur
	surfaceparm grass
	{
		map $lightmap
	}
	{
		map textures/sg_island_b3/grass_base.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ------------------------------------------------------------------------------
// fur texture
// ------------------------------------------------------------------------------
textures/sg_island_b3/grass_fur
{
	// remplacez texture_fur.q3map.tga par le nom de votre texture
	q3map_lightimage textures/sg_island_b3/grass_fur.q3map.tga
	
	// On ne touche pas !
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 90

	// format: q3map_fur <layers> <offset> <fade>
	// format: q3map_fur <nombre de couches> <hauteur> <adoucissement>
	// <nombre de couches> Augmentez/diminuez cette valeur si 
	// texture_fur.tga est respectivement plus opaque/transparente
	// <hauteur> Hauteur de la fourrure.
	// <adoucissement> plus la valeur est leve, plus la fourrure sera floue
	q3map_fur 8 1.25 0.1
	
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	
	// cull none
	nomipmaps
	
	{
		map textures/sg_island_b3/grass_fur.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//taken from other maps included in UT4.0 in order to not be impacted by a modification in main UT pk3

//i did not find this one in egypt script so i copy it from riches_alpha scripts shader.
textures/sg_island_b3/egypt/sh_br_whip
{
	qer_editorimage textures/sg_island_b3/egypt/br_whip.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/sg_island_b3/egypt/br_whip.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//copy from riches_alpha scripts shader
textures/sg_island_b3/urban_terror3/sh_chain
{
	qer_editorimage textures/sg_island_b3/urban_terror3/chain.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/sg_island_b3/urban_terror3/chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//copy from riches_alpha scripts shader
textures/sg_island_b3/urban_terror3/sh_chain
{
	qer_editorimage textures/sg_island_b3/urban_terror3/chain.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/sg_island_b3/urban_terror3/chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//copy from riches_alpha scripts shader
textures/sg_island_b3/riches_alpha/sh_r_chains2
{
	qer_editorimage textures/sg_island_b3/riches_alpha/r_chains2.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/sg_island_b3/riches_alpha/r_chains2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//copy from riches_alpha scripts shader for brownvine bbd texture
textures/sg_island_b3/bbqplant/brownvine
{
	qer_editorimage textures/sg_island_b3/bbqplant/brownvine.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/sg_island_b3/bbqplant/brownvine.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//don t remmber for this one: lot of modification from original
textures/sg_island_b3/trevift
{
	qer_editorimage textures/sg_island_b3/trevift.jpg
	deformVertexes wave 5 sin .5 .5 .1 0.1
	qer_trans 0.6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	cull disable
	{
		map textures/sg_island_b3/trevift.jpg
		blendFunc GL_dst_color GL_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//cut and paste from wily duck watercaulk, just changed texture in editor
textures/sg_island_b3/sg_watercaulk
{
	qer_editorimage textures/sg_island_b3/liquids/clear_ripple3.tga
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

textures/sg_island_b3/water_fount
{
		qer_editorimage textures/sg_island_b3/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		{ 
			map textures/sg_island_b3/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.8 0 1.8 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/sg_island_b3/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.8 1 1.8 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/sg_island_b3/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .8
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/sg_island_b3/clear_ripple3bold
{
		qer_editorimage textures/sg_island_b3/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		//q3map_lightimage textures/sg_island_b3/liquids/pool2.jpg
		//
		cull disable
		deformVertexes wave 40 sin 8 12 .1 .1	
		{ 
			map textures/sg_island_b3/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.8 0 1.8 1 1 2
			tcmod scroll -.01 .001
		}
	
		{ 
			map textures/sg_island_b3/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.8 1 1.8 2 1
			tcmod scroll .01 -.001
		}

		{ 
			map textures/sg_island_b3/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .8
			tcmod scroll .001 .01
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
 		{
			map textures/sg_island_b3/pool2b.jpg
			blendFunc filter
		}
 		{
			map textures/sg_island_b3/pool2b.jpg
			blendFunc add
		}


}

textures/sg_island_b3/clear_ripple3b
{
		qer_editorimage textures/sg_island_b3/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		//q3map_lightimage textures/sg_island_b3/liquids/pool2.jpg
		cull disable
		surfaceparm nolightmap
		deformVertexes wave 40 sin 8 12 .1 .1	
		{ 
			map textures/sg_island_b3/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			tcmod scale .5 .5
			tcmod transform 1.8 0 1.8 1 1 2
			tcmod scroll -.01 .001
		}
	
		{ 
			map textures/sg_island_b3/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			tcmod scale .5 .5
			tcmod transform 0 1.8 1 1.8 2 1
			tcmod scroll .01 -.001
		}

		{ 
			map textures/sg_island_b3/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			tcmod scale .25 .8
			tcmod scroll .001 .01
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbGen const ( 0.0 0.15 0.25 )
		}
}

//Ripped and altered from ut_subway by SG 
//Ripped and altered from ut_paradise by eXKalibuR (exkalibur2@latinmail.com)
textures/sg_island_b3/ut_subway/planta5
{
        qer_editorimage textures/sg_island_b3/ut_subway/planta5.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/sg_island_b3/ut_subway/planta5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ripped and altered from ut_subway by SG  
//Ripped and altered from ut_paradise by eXKalibuR (exkalibur2@latinmail.com)
textures/sg_island_b3/ut_subway/planta1
{
        qer_editorimage textures/sg_island_b3/ut_subway/planta1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/sg_island_b3/ut_subway/planta1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//camera: from WillyDuck mainly
textures/sg_island_b3/portal_camera2
{
	qer_editorimage textures/sg_island_b3/mirror.tga
	portal
	surfaceparm nolightmap
	{
		map textures/sg_island_b3/screentelep.jpg
		blendFunc filter
		depthWrite
	}
	{
		map textures/sg_island_b3/screentelep.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 378
		rgbGen identityLighting	
	}
}

//null_beach shader
textures/sg_island_b3/null_beach/scr_metal
{
	qer_editorimage textures/sg_island_b3/null_beach/sc_metal.tga
	{
		map textures/sg_island_b3/null_beach/sc_metal.tga
		rgbgen exactvertex
	}
	{
		map textures/sg_island_b3/null_beach/spec1.tga
		blendfunc add
		rgbgen exactvertex
	}
}

textures/sg_island_b3/null_beach/crack03
{ 
	qer_editorimage textures/sg_island_b3/null_beach/myth_crack03.tga
   	surfaceparm trans 
   	surfaceparm nomarks 
   	polygonOffset 
   	//qer_trans 0.5 
   	sort 6 
   	{ 
      		map textures/sg_island_b3/null_beach/myth_crack03.tga 
      		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      		rgbGen identity 
   	} 
}

//bbq shaders
textures/sg_island_b3/bbqplant/ivy03
{
	qer_editor_image textures/sg_island_b3/bbqplant/ivy03.tga
	surfaceparm nomarks
	cull disable
	{
		map textures/sg_island_b3/bbqplant/ivy03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sg_island_b3/bbqplant/ivy04
{
	qer_editor_image textures/sg_island_b3/bbqplant/ivy04.tga
	surfaceparm nomarks
	cull disable
	{
		map textures/sg_island_b3/bbqplant/ivy04.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sg_island_b3/bbq/bbqgate
{
	qer_editor_image textures/sg_island_b3/bbq/bbqgate.tga
	nopicmip
	nomipmaps
	surfaceparm alphashadow
	cull disable
	{
		map textures/sg_island_b3/bbq/bbqgate.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sg_island_b3/bbq/04_window
{
qer_editorimage textures/sg_island_b3/bbq/04_window.tga
cull none
{
	map textures/sg_island_b3/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/sg_island_b3/bbq/04_window.tga
	alphaFunc GE128
}
	
{
	map $lightmap 
	rgbGen identity 
	blendFunc filter
}
} 

//form riches ut4 shaders
textures/sg_island_b3/riches_foliage/r_grasstuft1_512
{	
    qer_editorimage textures/sg_island_b3/riches_foliage/r_grasstuft1_512.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/sg_island_b3/riches_foliage/r_grasstuft1_512.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/sg_island_b3/riches_alpha/r_whitegate1_512
{
	qer_editorimage textures/sg_island_b3/riches_alpha/r_whitegate1_512.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/sg_island_b3/riches_alpha/r_whitegate1_512.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//taken from eagle shaders in ut4
textures/sg_island_b3/eagle/sw_flame1
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/sg_island_b3/eagle/flame1.tga
	

	{
		animMap 10 textures/sg_island_b3/eagle/flame1.tga textures/sg_island_b3/eagle/flame2.tga textures/sg_island_b3/eagle/flame3.tga textures/sg_island_b3/eagle/flame4.tga textures/sg_island_b3/eagle/flame5.tga textures/sg_island_b3/eagle/flame6.tga textures/sg_island_b3/eagle/flame7.tga textures/sg_island_b3/eagle/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sg_island_b3/eagle/flame2.tga textures/sg_island_b3/eagle/flame3.tga textures/sg_island_b3/eagle/flame4.tga textures/sg_island_b3/eagle/flame5.tga textures/sg_island_b3/eagle/flame6.tga textures/sg_island_b3/eagle/flame7.tga textures/sg_island_b3/eagle/flame8.tga textures/sg_island_b3/eagle/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sg_island_b3/eagle/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


//taken from q3base folder scripts shader
models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/tree2/branch2
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}


models/mapobjects/wallhead/femhead
{
        deformVertexes wave 100 sin 0 .7 0 .2
        //deformVertexes wave 100 sin 0 1 1 .1
        cull disable

        {
                map models/mapobjects/wallhead/femhead3.tga
                rgbGen vertex
        }
	{
                map models/mapobjects/wallhead/femhead4.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 .1
                rgbGen vertex
	}	
	
}
